minidlna installation broken by system update?

Ask questions about Arch Linux ARM. Please search before making a new topic.

minidlna installation broken by system update?

Postby inanaz » Tue Sep 10, 2019 9:14 am

after (one of the) last system updates on my Raspberry Pi minidlna stopped working. It seems to be due to an update of libx264. This library seemed to be removed, so I reinstalled it with pacman. Now it is available with version 144, but requested with version 142 by minidlna

Does anybody know how to fix this? Are more recent versions of a library not automatically accepted by the dynamic link loader?

command outpit:
----------------------------------------------------------------------------------------
# /usr/bin/minidlnad -S
/usr/bin/minidlnad: error while loading shared libraries: libx264.so.142: cannot open shared object file: No such file or directory

# ldd /usr/bin/minidlnad | grep 264
libx264.so.142 => not found

# ls -la /usr/lib/libx2*
lrwxrwxrwx 1 root root 14 12. Mär 13:06 /usr/lib/libx264.so -> libx264.so.144
-rwxr-xr-x 1 root root 723136 12. Mär 13:06 /usr/lib/libx264.so.144
lrwxrwxrwx 1 root root 13 12. Feb 14:34 /usr/lib/libx265.so -> libx265.so.43
-rwxr-xr-x 1 root root 835432 12. Feb 14:34 /usr/lib/libx265.so.43
inanaz
 
Posts: 1
Joined: Tue Sep 10, 2019 9:08 am

Return to User Questions

Who is online

Users browsing this forum: No registered users and 3 guests